Bug 254145 - Missing libjasper dependency for JPEG2000 support
Missing libjasper dependency for JPEG2000 support
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ImageMagick (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Norm Murray
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-24 09:40 EDT by Bastien Nocera
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-25 07:56:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to build-require jasper-devel (973 bytes, patch)
2007-09-09 09:24 EDT, David Timms
no flags Details | Diff

  None (edit)
Description Bastien Nocera 2007-08-24 09:40:26 EDT
ImageMagick supports JPEG2000 through libjasper:
http://www.imagemagick.org/script/formats.php

libjasper is already in Fedora, should be as simple as adding libjasper-devel in
the BRs.
Comment 1 David Timms 2007-09-09 09:24:34 EDT
Created attachment 191051 [details]
Patch to build-require jasper-devel

Paul Smith on fedora-list had the same issue:
https://www.redhat.com/archives/fedora-list/2007-September/msg01058.html
$ convert -compress JPEG2000 example.tif example.pdf
convert: JP2LibraryIsNotAvailable `example.pdf'.

Changing to 'JPEG' operates OK.

As suggested by Bastien, adding the BR: jasper-devel builds an ImageMagick with
JPEG2000 support:
$ convert -compress JPEG2000 st8-4.tiff test2.pdf
$ ls -l
total 5536
-rw-rw-r-- 1 davidt davidt 5598551 2007-05-24 00:22
ImageMagick-6.3.2.9-3.fc7.src.rpm
-rw-r--r-- 1 davidt davidt   11464 2007-09-09 19:05 st8-4.tiff
-rw-rw-r-- 1 davidt davidt   12277 2007-09-09 22:15 test2.pdf
-rw-rw-r-- 1 davidt davidt   15134 2007-09-09 19:43 test.pdf

[The converted file is 18% smaller with JPEG2000 rather than JPEG].

I tested only that the rpmbuild -ba rpm created and installed, and that convert
both accepts and operates on the -compress JPEG2000 parameter. No other testing
was performed.
Comment 2 Norm Murray 2007-09-23 20:15:52 EDT
Added build and install dependencies in ImageMagick-6.3.5.9-1.fc8, please test.

Comment 3 Bastien Nocera 2007-09-25 07:56:10 EDT
Works fine, thanks.

Note You need to log in before you can comment on or make changes to this bug.